Subject: RE: [Hipsec] questions on hip-mm

From: "Henderson, Thomas R" <[email-masked]>
Date: Tue, 10 Aug 2004 18:37:13 -0700

> -----Original Message-----
> From: Andrei Gurtov [mailto:[email-masked]]
> Sent: Monday, August 09, 2004 4:24 AM
> To: [email-masked]
> Subject: [Hipsec] questions on hip-mm
> 
> 
> Hi,
> 
> Skimming through the hip-mm-02 draft I was pondering if any 
> mechanism is 
> needed to ensure robustness of a reachability check (retransmissions 
> with exponential back off as with a TCP keepalive timer?) in case if 
> probes get lost due to errors or congestion somewhere. 

Yes, this is protected by the general UPDATE mechanism.  Retransmissions
of UPDATEs are discussed in Section 7.5 and 8.10 of the base spec.
How to determine the timeout value (exponential backoff or constant)
is not specified.  It might be clearer to state in the mm draft
something about retransmission of UPDATE packets.

> Another question 
> is how does HIP select an IP address of a multihomed host to use, is 
> there some API that the application can negotiate with HIP on 
> this? 

I don't think that this is addressed.  I assume that you mean: how
does an initial HIP exchange pick a source or destination address 
when there are several to choose from?  Presumably, the same way 
that it is done when there is no HIP.

> And 
> in case the transport protocol wants to transmit simultaneously over 
> multiple paths, can it be accomplished with the current draft?

I would say that it is not precluded by the current draft, but not
explicitly addressed.  In general, there are open issues with
respect to doing this (congestion control, MTU, need to either
have loose replay windows or separate SAs).

Tom 
_______________________________________________
Hipsec mailing list
[email-masked]
http://honor.trusecure.com/mailman/listinfo/hipsec